// This file was generated by qlalr - DO NOT EDIT!
#include "table_lgcoutputreslexer_p.h"

const char *const Table_LGCOutputResLexer::spell [] = {
    "end of file", "Unknown", "New line '\\n'", "Comment", "Word", "Integer number", "Decimal number", "IND", ":", "=",
    "*", "POINT", "POINTS", "CALCUL DU", "*** STATISTIQUES ***", "SIGMA ZERO A POSTERIORI", "*** RESUME DES MESURES ***", "*** MESURES ***", "ERREURS RELATIVES", "*** FIN DE FICHIER ***",
    "LEP", "OLOC", "RS2K", "SPHE", "VARIABLES", "INVARIABLES", "CALAGE", "XYZ", "X", "Y",
    "Z", "ABSOLUTE ERROR ELLIPSOIDS", "ABSOLUTE ERROR ELLIPSES", "PDOR", "SFP", "UVEC", "UVD", "DSPT", "DLEV", "ANGL",
    "ECDIR", "ECTH", "DHOR", "DIST", "PLR3D", "ZEND", "ORIE", "ECHO", "INCLY", "ECWS",
    "ECWI", "DVER", "OBSXYZ", "RADI", "REPARTITION", "CAMERA INSTRUMENT", "Vecteur directeur + Distance (UVD)", "Vecteur directeur", "INSTRUMENT EDM", "LEVEL INSTRUMENT",
    "INSTRUMENT POLAIRE", "ANGLES HORIZONTAUX", "ECART A UNE DIRECTION", "ECART A UN PLAN VERTICAL", "DISTANCES HORIZONTALES", "DISTANCES MESUREES", "DISTANCES ZENITHALES", "CONTRAINTES D'ORIENTATION", "ECSP", "ECVE",
    "CONTRAINTES 3D SUR UN POINT", "CONTRAINTES RADIALES", "FRAME", "PARAMETER", "XY", "XZ", "YZ"
};

const short Table_LGCOutputResLexer::lhs [] = {
    78, 78, 79, 79, 79, 80, 80, 80, 81, 81,
    82, 83, 84, 84, 84, 85, 86, 87, 77, 93,
    93, 95, 95, 95, 95, 88, 100, 100, 101, 102,
    102, 102, 102, 102, 102, 102, 102, 102, 102, 89,
    103, 104, 106, 107, 107, 107, 107, 108, 105, 105,
    109, 109, 110, 110, 111, 112, 112, 90, 113, 115,
    114, 114, 116, 116, 120, 123, 123, 121, 124, 125,
    125, 122, 122, 126, 126, 126, 126, 126, 126, 127,
    128, 129, 129, 129, 129, 130, 130, 131, 131, 132,
    132, 133, 118, 134, 134, 134, 134, 136, 138, 138,
    138, 138, 138, 138, 140, 141, 142, 143, 144, 145,
    139, 137, 146, 148, 148, 147, 147, 149, 135, 150,
    150, 150, 150, 150, 150, 150, 150, 119, 151, 153,
    154, 152, 155, 156, 91, 91, 157, 160, 158, 158,
    161, 162, 162, 162, 165, 165, 165, 165, 165, 165,
    165, 165, 165, 165, 165, 165, 166, 166, 166, 166,
    167, 167, 167, 167, 167, 170, 169, 168, 163, 163,
    171, 171, 164, 172, 172, 159, 159, 173, 174, 176,
    175, 175, 178, 179, 179, 181, 183, 182, 182, 182,
    182, 180, 184, 184, 185, 186, 187, 187, 188, 189,
    177, 177, 177, 177, 177, 177, 177, 177, 177, 177,
    190, 96, 92, 192, 191, 191, 193, 193, 193, 193,
    193, 193, 193, 193, 194, 202, 203, 205, 206, 204,
    204, 207, 207, 195, 210, 212, 213, 211, 211, 214,
    215, 215, 196, 216, 218, 219, 217, 217, 220, 220,
    197, 197, 221, 223, 225, 224, 224, 226, 226, 222,
    227, 229, 230, 228, 228, 231, 231, 231, 231, 231,
    231, 231, 232, 239, 241, 240, 240, 242, 242, 233,
    243, 245, 244, 244, 246, 246, 234, 247, 249, 248,
    248, 250, 250, 235, 251, 253, 252, 252, 254, 254,
    237, 255, 257, 256, 256, 258, 258, 236, 259, 261,
    260, 260, 262, 262, 238, 263, 265, 264, 264, 266,
    208, 267, 269, 268, 268, 270, 270, 209, 271, 273,
    272, 272, 274, 274, 198, 198, 198, 275, 278, 280,
    281, 279, 279, 282, 282, 276, 283, 285, 286, 284,
    284, 287, 287, 277, 288, 290, 291, 289, 289, 292,
    292, 293, 294, 295, 297, 296, 296, 298, 298, 199,
    299, 300, 303, 302, 301, 301, 304, 304, 304, 304,
    200, 305, 306, 309, 308, 307, 307, 310, 310, 201,
    201, 201, 311, 314, 316, 315, 315, 317, 317, 312,
    318, 320, 319, 319, 321, 321, 321, 313, 322, 324,
    325, 323, 323, 326, 326, 97, 327, 330, 331, 328,
    329, 329, 332, 99, 333, 335, 336, 334, 334, 337,
    338, 340, 341, 341, 117, 117, 117, 345, 344, 346,
    346, 342, 347, 343, 343, 348, 348, 349, 350, 350,
    350, 351, 351, 352, 354, 355, 356, 356, 357, 357,
    357, 358, 359, 360, 353, 353, 361, 361, 361, 361,
    362, 363, 363, 364, 365, 365, 339, 366, 366, 366,
    366, 366, 366, 366, 98, 98, 94, 367, 368
};

const short Table_LGCOutputResLexer::rhs [] = {
    1, 2, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 7, 1,
    2, 1, 1, 1, 1, 1, 3, 3, 2, 1,
    1, 1, 1, 1, 1, 2, 2, 2, 2, 1,
    2, 5, 1, 1, 1, 2, 2, 1, 2, 3,
    2, 3, 1, 2, 1, 1, 2, 2, 2, 3,
    3, 4, 5, 6, 8, 3, 4, 4, 1, 8,
    9, 2, 3, 1, 1, 1, 2, 2, 2, 1,
    8, 1, 1, 1, 1, 2, 3, 2, 3, 1,
    2, 1, 2, 1, 1, 2, 2, 9, 1, 1,
    1, 1, 1, 1, 3, 4, 4, 4, 4, 5,
    1, 2, 6, 3, 3, 2, 3, 3, 3, 1,
    1, 1, 1, 2, 2, 2, 2, 2, 2, 9,
    1, 4, 3, 2, 2, 3, 2, 5, 1, 2,
    8, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 3, 3, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 3, 3, 3, 2, 3,
    5, 5, 4, 8, 9, 1, 2, 2, 3, 1,
    6, 2, 1, 1, 2, 4, 1, 1, 1, 2,
    2, 5, 1, 2, 1, 1, 2, 2, 1, 1,
    1, 1, 1, 1, 1, 2, 2, 2, 2, 2,
    4, 1, 2, 3, 1, 2, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 2, 4, 4, 2, 1,
    2, 1, 1, 2, 10, 4, 4, 2, 3, 1,
    8, 9, 2, 12, 4, 4, 2, 3, 5, 6,
    1, 1, 2, 8, 4, 2, 3, 6, 7, 2,
    6, 4, 3, 1, 2, 1, 1, 1, 1, 1,
    1, 1, 2, 6, 3, 2, 3, 6, 7, 2,
    6, 3, 2, 3, 6, 7, 2, 6, 3, 2,
    3, 6, 7, 2, 6, 3, 2, 3, 6, 7,
    2, 6, 3, 2, 3, 6, 7, 2, 6, 3,
    2, 3, 7, 8, 2, 8, 2, 2, 3, 9,
    2, 6, 3, 2, 3, 9, 10, 2, 6, 5,
    2, 3, 9, 10, 1, 1, 1, 2, 14, 1,
    4, 2, 3, 5, 6, 2, 8, 2, 4, 2,
    3, 5, 6, 2, 10, 1, 11, 2, 3, 5,
    6, 1, 2, 8, 1, 2, 3, 5, 6, 1,
    2, 14, 7, 1, 2, 3, 6, 5, 6, 4,
    1, 2, 18, 4, 1, 2, 3, 7, 8, 1,
    1, 1, 2, 8, 1, 2, 3, 5, 6, 2,
    7, 5, 2, 3, 6, 6, 5, 2, 9, 2,
    2, 2, 3, 6, 7, 3, 4, 2, 1, 4,
    2, 3, 4, 2, 4, 3, 1, 2, 1, 2,
    5, 1, 1, 3, 4, 3, 5, 3, 1, 2,
    1, 3, 1, 3, 2, 2, 1, 3, 2, 2,
    1, 1, 2, 2, 3, 2, 1, 2, 1, 1,
    1, 1, 1, 1, 1, 2, 1, 1, 1, 1,
    1, 2, 1, 8, 1, 1, 2, 1, 2, 3,
    1, 2, 1, 2, 2, 1, 2, 5, 2
};

const short Table_LGCOutputResLexer::action_default [] = {
    0, 0, 0, 0, 26, 0, 29, 43, 0, 40,
    0, 0, 0, 0, 0, 0, 0, 60, 0, 0,
    0, 0, 0, 0, 0, 138, 0, 0, 0, 0,
    214, 0, 0, 20, 0, 395, 340, 0, 356, 385,
    374, 0, 0, 23, 25, 0, 0, 0, 0, 12,
    0, 486, 0, 433, 24, 0, 22, 215, 212, 225,
    0, 0, 217, 390, 0, 0, 335, 0, 0, 336,
    0, 0, 337, 0, 0, 381, 0, 0, 370, 0,
    0, 218, 0, 0, 222, 219, 0, 0, 224, 391,
    0, 0, 251, 0, 0, 220, 392, 0, 0, 221,
    252, 0, 0, 223, 0, 0, 0, 0, 0, 228,
    16, 0, 0, 0, 402, 21, 0, 19, 0, 0,
    0, 0, 488, 487, 1, 2, 348, 0, 0, 236,
    418, 426, 424, 429, 0, 0, 428, 430, 0, 0,
    0, 432, 431, 0, 427, 0, 425, 201, 202, 4,
    203, 0, 5, 3, 0, 8, 204, 205, 7, 6,
    0, 416, 10, 0, 9, 421, 0, 422, 0, 0,
    11, 423, 206, 207, 208, 209, 210, 0, 0, 420,
    0, 419, 0, 417, 0, 0, 11, 436, 0, 439,
    435, 0, 0, 437, 0, 441, 438, 440, 473, 471,
    477, 478, 452, 0, 0, 483, 447, 0, 481, 0,
    80, 475, 476, 0, 13, 14, 15, 472, 465, 453,
    468, 469, 467, 470, 365, 463, 464, 362, 0, 0,
    462, 0, 466, 0, 363, 0, 366, 0, 367, 0,
    0, 0, 196, 0, 17, 193, 368, 195, 194, 369,
    200, 0, 0, 211, 0, 0, 0, 0, 0, 0,
    364, 457, 456, 0, 0, 0, 0, 459, 460, 461,
    0, 0, 0, 0, 0, 458, 0, 273, 0, 276,
    0, 277, 0, 0, 0, 0, 18, 278, 279, 0,
    0, 0, 0, 274, 0, 308, 0, 311, 0, 312,
    0, 0, 0, 0, 0, 0, 313, 314, 197, 198,
    0, 0, 0, 0, 309, 0, 301, 0, 304, 0,
    305, 0, 0, 0, 0, 306, 307, 0, 0, 0,
    0, 302, 0, 275, 0, 310, 0, 303, 454, 0,
    111, 0, 56, 0, 57, 0, 0, 0, 0, 0,
    0, 474, 0, 92, 90, 89, 91, 88, 86, 0,
    87, 484, 451, 0, 449, 450, 448, 479, 482, 446,
    480, 0, 455, 0, 0, 0, 106, 105, 443, 0,
    0, 434, 0, 0, 444, 445, 0, 442, 485, 0,
    0, 245, 216, 0, 0, 230, 233, 232, 0, 0,
    0, 0, 226, 0, 0, 0, 330, 0, 323, 0,
    328, 0, 331, 0, 332, 0, 0, 0, 0, 0,
    0, 0, 333, 334, 0, 0, 0, 0, 329, 0,
    321, 0, 324, 0, 325, 0, 0, 0, 0, 0,
    0, 0, 326, 327, 0, 0, 0, 0, 322, 231,
    0, 0, 0, 227, 229, 0, 393, 0, 396, 0,
    397, 0, 0, 0, 398, 399, 0, 0, 0, 0,
    0, 0, 394, 0, 338, 0, 342, 0, 343, 0,
    0, 0, 344, 345, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 339, 0, 0,
    341, 0, 346, 0, 350, 0, 351, 0, 0, 0,
    352, 353, 0, 0, 0, 0, 0, 0, 0, 347,
    0, 0, 349, 0, 354, 0, 358, 0, 359, 0,
    0, 0, 360, 361, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 355, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 357, 0, 382, 0, 386, 0, 387,
    0, 0, 0, 0, 0, 388, 389, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 383, 0, 0, 384, 0, 371,
    0, 375, 0, 376, 0, 0, 380, 378, 377, 379,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 372, 0, 0, 0, 0, 0, 373,
    240, 0, 234, 0, 238, 0, 239, 0, 0, 0,
    0, 0, 0, 199, 241, 242, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 235, 0, 0, 237, 0,
    243, 0, 247, 0, 248, 0, 0, 0, 249, 250,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 244, 0, 0, 246, 0, 400, 0, 403, 0,
    404, 0, 0, 0, 407, 405, 406, 0, 0, 0,
    0, 0, 401, 0, 253, 0, 256, 0, 257, 0,
    0, 0, 0, 258, 259, 0, 0, 0, 0, 0,
    0, 254, 0, 408, 0, 412, 0, 413, 0, 0,
    0, 0, 414, 415, 0, 0, 0, 0, 0, 0,
    0, 0, 409, 411, 0, 0, 0, 0, 0, 0,
    264, 266, 269, 270, 267, 268, 272, 0, 0, 271,
    260, 0, 0, 0, 0, 0, 294, 0, 297, 0,
    298, 0, 0, 0, 0, 299, 300, 0, 0, 0,
    0, 295, 0, 280, 0, 283, 0, 284, 0, 0,
    0, 0, 285, 286, 0, 0, 0, 0, 281, 0,
    287, 0, 290, 0, 291, 0, 0, 0, 0, 292,
    293, 0, 0, 0, 0, 288, 0, 315, 0, 318,
    0, 319, 0, 0, 0, 0, 0, 0, 0, 320,
    0, 0, 0, 0, 0, 0, 316, 265, 317, 0,
    296, 0, 282, 0, 289, 0, 0, 0, 0, 0,
    261, 0, 263, 0, 0, 255, 0, 0, 262, 410,
    213, 145, 146, 147, 148, 149, 158, 150, 161, 163,
    151, 162, 0, 164, 157, 165, 160, 156, 139, 0,
    143, 142, 144, 135, 0, 152, 0, 159, 0, 0,
    155, 0, 166, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 172, 169, 0, 141, 0,
    0, 170, 0, 0, 0, 173, 0, 0, 0, 0,
    0, 0, 0, 174, 0, 0, 0, 0, 0, 0,
    175, 0, 0, 0, 171, 176, 0, 0, 136, 140,
    180, 0, 0, 178, 183, 0, 182, 0, 188, 189,
    184, 0, 0, 190, 191, 0, 0, 187, 186, 0,
    185, 0, 181, 0, 0, 0, 192, 0, 179, 177,
    0, 167, 0, 168, 0, 154, 0, 153, 137, 58,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    65, 74, 76, 75, 69, 0, 0, 0, 0, 0,
    0, 0, 68, 0, 0, 0, 0, 0, 0, 0,
    0, 71, 70, 0, 0, 77, 79, 78, 73, 0,
    0, 64, 72, 0, 0, 63, 0, 66, 67, 0,
    0, 0, 0, 99, 101, 100, 102, 103, 104, 61,
    95, 0, 0, 94, 0, 0, 0, 115, 0, 114,
    0, 0, 0, 0, 0, 0, 0, 0, 98, 0,
    0, 0, 0, 0, 83, 82, 84, 85, 0, 81,
    131, 62, 0, 0, 0, 128, 0, 0, 0, 0,
    0, 132, 134, 0, 133, 129, 0, 0, 0, 0,
    0, 0, 0, 130, 0, 0, 112, 0, 118, 6,
    116, 0, 117, 0, 0, 0, 0, 113, 0, 93,
    97, 96, 123, 120, 122, 121, 0, 127, 124, 126,
    119, 125, 0, 0, 0, 109, 108, 107, 0, 0,
    110, 59, 41, 0, 0, 53, 0, 50, 49, 51,
    54, 55, 52, 44, 45, 0, 46, 47, 0, 48,
    0, 42, 30, 35, 31, 32, 0, 33, 34, 36,
    39, 37, 27, 38, 0, 28, 489
};

const short Table_LGCOutputResLexer::goto_default [] = {
    5, 1121, 155, 147, 349, 185, 50, 207, 109, 243,
    411, 2, 8, 13, 19, 27, 34, 117, 33, 56,
    43, 54, 44, 4, 3, 1146, 9, 10, 1122, 11,
    1135, 1140, 1123, 1124, 1132, 972, 14, 969, 15, 973,
    53, 1029, 1061, 971, 988, 986, 970, 985, 992, 987,
    213, 1040, 1058, 351, 350, 357, 354, 1034, 1099, 1033,
    1030, 1022, 341, 211, 212, 1024, 1026, 1027, 1028, 1031,
    1086, 1032, 1085, 1106, 1062, 1065, 1063, 1064, 1066, 1068,
    20, 873, 928, 21, 868, 869, 890, 898, 871, 870,
    872, 867, 866, 865, 889, 899, 925, 926, 933, 927,
    154, 932, 942, 931, 940, 941, 946, 246, 245, 241,
    303, 632, 249, 239, 58, 28, 57, 62, 81, 85,
    95, 99, 84, 103, 88, 59, 60, 402, 61, 451,
    395, 397, 396, 82, 622, 83, 637, 621, 620, 86,
    650, 87, 661, 649, 92, 100, 93, 694, 94, 693,
    101, 750, 102, 836, 740, 267, 744, 745, 742, 268,
    269, 746, 263, 277, 264, 276, 736, 773, 737, 772,
    738, 790, 739, 789, 734, 756, 735, 755, 270, 316,
    271, 315, 265, 295, 266, 294, 747, 807, 748, 806,
    400, 430, 401, 429, 398, 410, 399, 409, 66, 69,
    72, 67, 474, 68, 485, 473, 70, 502, 71, 513,
    501, 73, 524, 74, 535, 523, 226, 227, 228, 234,
    229, 233, 78, 79, 589, 80, 601, 588, 75, 76,
    555, 77, 568, 554, 63, 89, 96, 64, 456, 65,
    455, 90, 676, 91, 675, 97, 713, 98, 725, 712,
    47, 151, 161, 48, 182, 160, 45, 132, 46, 145,
    133, 134, 51, 184, 52, 379, 381, 188, 191, 196,
    380, 208, 206, 363, 201, 202, 219, 203, 223, 262,
    261, 222, 220, 221, 218, 205, 199, 198, 204, 200,
    118, 0
};

const short Table_LGCOutputResLexer::action_index [] = {
    150, -2, -12, 1180, 1168, 2, -77, -77, -10, -77,
    1, 785, 4, -7, 667, 9, -4, -77, 10, -5,
    1317, 13, 12, 14, 7, -77, 15, 1246, 19, 16,
    -77, 20, 21, 1191, 17, -77, -77, 23, -77, -77,
    -77, 24, 25, -77, -77, 26, 29, 1047, 31, -77,
    30, -77, 583, -50, -37, 33, -77, -77, 1165, -77,
    261, 38, -77, -77, 353, 40, -77, 355, 42, -77,
    357, 44, -77, 359, 45, -77, 361, 47, -77, 363,
    48, -77, 365, 53, -77, -77, 367, 55, -77, -77,
    370, 1047, -77, 370, 57, -77, -77, 370, 58, -77,
    -77, 744, 60, -77, 61, 62, 64, 63, 65, -77,
    -77, 66, 68, 69, -77, -77, 70, -77, 148, 72,
    74, 51, -77, 75, -77, -77, -77, 71, 76, -77,
    77, -77, -77, 78, -24, 79, -77, -77, 80, 81,
    148, -77, 82, 446, -77, 148, 85, -77, -77, -77,
    -77, 370, -77, -77, 1083, -77, -77, -77, -77, -77,
    148, 370, -77, 370, -77, 89, 148, 90, 91, 921,
    -77, 912, -77, -77, -77, -77, -77, 1059, 1199, 97,
    414, -77, 148, 100, 148, 99, 102, 103, 374, -77,
    105, 148, 101, 106, 667, -77, 667, -77, -77, 107,
    -77, -77, 533, 148, 148, 94, -77, 667, 608, 111,
    -77, -77, -77, 376, -77, -77, -77, -77, 539, -77,
    -77, -77, -77, -77, -77, -77, -77, -77, 379, 148,
    -77, 473, -77, 148, 383, 591, 119, 148, 120, 591,
    591, 122, -77, 591, -77, 591, 125, -77, -77, -77,
    -77, 591, 591, -77, 1275, 1199, 1275, 1199, 1275, 1199,
    133, -77, 488, 391, 148, 393, 148, -77, -77, -77,
    397, 148, 136, 137, 138, -77, 148, 399, 591, 143,
    148, 144, 591, 591, 147, 591, -77, 221, -77, 1275,
    1199, 1275, 1199, 154, 156, 403, 591, 160, 161, 162,
    591, 591, 591, 166, 578, 591, 221, -77, -77, -77,
    1275, 1199, 1275, 1199, 173, 174, 407, 591, 177, 178,
    179, 591, 591, 182, 591, 221, -77, 1275, 1199, 1275,
    1199, 98, 930, 903, 1047, 1123, 1047, 1123, 194, 415,
    -77, 667, -77, 743, -77, 646, 743, 553, 421, 591,
    205, 538, 591, -77, -77, 591, -77, 591, 211, 212,
    213, -77, -77, 895, -77, -77, 215, -77, 113, -77,
    -77, 129, -77, 216, 200, 36, -77, -77, -77, 667,
    667, 667, 743, 743, 296, 296, 743, 296, -77, 222,
    224, -77, -77, 227, 228, -77, -77, -77, 229, 232,
    231, 234, 413, 233, 235, 1047, 1024, 1047, 1015, 240,
    241, 441, 296, 242, 296, 466, 469, 472, 475, 478,
    481, 484, 247, -77, 1275, 1199, 1275, 1199, 296, 253,
    252, 519, 296, 255, 296, 487, 490, 493, 496, 499,
    502, 505, 259, -77, 1275, 1199, 1275, 1199, 296, -77,
    456, 263, 519, 296, -77, 264, 519, 430, 296, 265,
    296, 508, 512, 515, 267, -77, 1275, 1199, 1275, 1199,
    1275, 1199, 296, 272, 439, 591, 296, 274, 296, 591,
    273, 591, 276, -77, 460, 279, 278, 1275, 1199, 1275,
    1199, 1275, 1199, 1275, 1199, 1275, 1199, 296, 519, 1047,
    983, 288, 519, 591, 296, 290, 296, 591, 292, 591,
    293, -77, 464, 371, 381, 1095, 1071, 1147, 1199, 126,
    127, 387, -77, 148, 401, 591, 145, 146, 159, 591,
    164, 591, 221, -77, 411, 180, 181, 1275, 1199, 1275,
    1199, 1275, 1199, 296, 243, 244, 519, 245, 591, 246,
    591, 257, 591, -77, 258, 519, 591, 296, 266, 296,
    591, 591, 591, 591, 289, 291, -77, 461, 148, 163,
    1275, 1199, 1275, 1199, 1275, 1199, 1275, 1199, 1275, 1199,
    1275, 1199, 1275, 1199, 73, 28, 519, -77, 148, 519,
    591, 296, 210, 208, 591, 591, 207, 572, -77, -77,
    436, 270, 248, 1275, 1199, 1275, 1199, 1275, 1199, 1275,
    1199, 1275, 1199, 190, 189, 187, 185, 158, 410, -77,
    -77, 172, 405, 591, 170, 169, 153, 591, 591, 591,
    130, 591, 591, -77, 34, -77, 352, 8, 3, 1275,
    1199, 1159, 1199, 1275, 1199, 298, 437, 1047, 1123, 371,
    519, 591, 311, 371, 314, 591, 591, 591, 316, -77,
    451, 371, 323, 1275, 1199, 1275, 1199, 1275, 1199, 1275,
    1199, 335, 432, 1047, 1123, 371, 519, 339, 343, 371,
    344, 591, 591, 591, 560, -77, -77, 1199, 1275, 1199,
    1275, 1199, 87, 148, 519, 519, 108, 148, 115, 591,
    591, 134, 591, 221, -77, 1275, 1199, 1275, 1199, 1275,
    1199, 186, 188, 519, 591, 195, 201, 203, 591, 591,
    591, 591, 328, -77, 445, 952, 275, 1107, 1275, 1199,
    1275, 1199, 296, -77, 519, 260, 519, 256, 519, 167,
    -77, -77, -77, -77, -77, -77, -77, 423, 204, -77,
    783, 1047, 183, 123, 121, 148, 385, 591, 296, 287,
    296, 591, 591, 284, 591, 283, -77, 1275, 1199, 1275,
    1199, 296, 282, 519, 591, 296, 281, 296, 591, 591,
    271, 591, 269, -77, 1275, 1199, 1275, 1199, 296, 268,
    519, 591, 296, 262, 296, 591, 591, 250, 591, 249,
    -77, 1275, 1199, 1275, 1199, 296, 239, 519, 236, 296,
    225, 296, 591, 220, 591, 219, 591, 218, 1047, 1033,
    1135, 1199, 1275, 1199, 1275, 1199, 217, -77, 1123, 1047,
    1123, 1047, 1123, 1047, 1123, 427, 202, 416, 1275, 1199,
    197, 1047, 1123, 198, 196, -77, 193, 191, -77, -77,
    192, -77, -77, -77, -77, -77, -77, -77, -77, -77,
    -77, -77, 157, -77, -77, -77, -77, -77, -77, 171,
    -77, -77, -77, 1359, 152, -77, 151, -77, 149, 116,
    -77, 132, -77, 691, 743, 639, 793, 527, 591, 148,
    389, 591, 591, 591, 591, -77, 131, 148, -77, 148,
    610, 110, 377, 148, 373, 96, 591, 92, 93, 88,
    667, 698, 667, 667, 591, 86, 59, 667, 714, 667,
    667, 591, 591, 591, -77, -77, 555, 1047, -32, -77,
    -77, 18, 11, -77, -77, -1, 73, 632, -77, -77,
    -77, 811, 828, -77, -77, 591, 297, -77, -77, 299,
    -77, 371, 300, 301, 302, 238, -77, 1199, 305, -77,
    304, -77, 306, -77, 307, -77, 308, -77, 312, -77,
    371, 971, 819, -8, 750, 371, 764, 371, 778, 371,
    313, -77, -77, -77, -77, 667, 875, 867, 371, 721,
    117, 315, -77, 317, 318, 140, 319, 448, 320, 321,
    322, -77, -77, 849, 371, -77, -77, -77, 326, 674,
    743, 327, 296, 684, 743, 329, 254, 667, 667, 513,
    330, 331, 332, -77, -77, -77, -77, -77, -77, 142,
    -77, 519, 371, -77, 574, 522, 334, -77, 336, -77,
    371, 209, 417, 667, 743, 707, 743, 570, 523, 280,
    337, 338, 237, 548, -77, -77, -77, -77, 340, -77,
    -77, -77, 345, 371, 346, -77, 347, 348, 667, 519,
    625, 351, -77, 519, -77, 73, 35, 37, 39, 41,
    43, 46, 49, -77, 617, 52, 428, 606, -77, 54,
    73, 56, 73, 771, 757, 730, 659, 84, 857, -77,
    -77, -77, -77, -77, -77, -77, 942, -77, -77, -77,
    104, -77, 109, 112, 507, -77, -77, -77, 303, 114,
    -77, 118, 128, 148, 453, -77, 148, 135, 141, 139,
    -77, -77, -77, -77, -77, 835, -77, -77, 83, -77,
    175, 176, -77, -77, -77, -77, 995, -77, -77, -77,
    -77, -77, 206, -77, 1005, 214, -77,

    -292, -292, -292, -3, 353, -292, -292, -292, -292, -292,
    -292, -2, -292, -292, -1, -292, -292, -292, -292, -292,
    -292, 2, -292, -292, -292, -292, -292, -292, 3, -292,
    -292, -292, -292, -11, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, -292, -292, -292, 5, -292, 6, -292,
    -292, -292, -292, -292, -254, -292, -292, -292, -107, -292,
    -292, 9, -292, -292, 7, 11, -292, 10, 12, -292,
    13, 14, -292, 15, 17, -292, 16, 20, -292, 18,
    22, -292, 21, 23, -292, -292, 24, 25, -292, -292,
    26, -84, -292, 27, 28, -292, -292, 29, 31, -292,
    -292, 647, 34, -292, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, 35, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, 19, -292,
    -292, -292, -292, -220, -224, -292, -292, -292, -292, -223,
    38, -292, -292, -292, -292, 40, -292, -292, -292, -292,
    -292, 39, -292, -292, 366, -292, -292, -292, -292, -292,
    43, 355, -292, 42, -292, -292, 46, -292, 44, -52,
    -292, 47, -292, -292, -292, -292, -292, -49, 372, -292,
    -292, -292, 52, -292, 53, -292, -292, -292, 54, -292,
    -292, 55, -292, -292, 56, -292, 57, -292, -292, -230,
    -292, -292, 687, 61, 62, -216, -292, 63, 553, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, 692, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, 60, 67,
    -292, -292, -292, 68, 364, 71, -292, 73, -292, 74,
    75, -292, -292, 76, -292, 377, -292, -292, -292, -292,
    -292, 79, 80, -292, -35, 379, -28, 385, -20, 391,
    -292, -292, -196, 84, 85, 86, 88, -292, -292, -292,
    87, 91, -292, -292, -292, -292, 92, 389, 393, -292,
    95, -292, 394, 395, 77, 398, -292, -13, -292, 1,
    401, 4, 405, -292, 104, 406, 397, -292, 106, -292,
    407, 409, 110, 101, 111, 410, 32, -292, -292, -292,
    37, 412, 48, 413, -292, 113, 414, 415, -292, 114,
    -292, 417, 418, 116, 419, 69, -292, 72, 421, 89,
    422, -292, 90, 120, 98, 121, 99, 122, -292, -292,
    -292, 423, -292, 426, -292, 425, 429, -292, 124, 127,
    129, 81, 431, -292, -292, 432, -292, 433, -292, 132,
    -292, -292, -292, 435, -292, -292, -292, -292, -152, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, 378,
    428, 434, 438, 439, -292, -292, 442, -292, -292, -292,
    139, -292, -292, -292, -292, -292, -292, -292, -292, 140,
    136, 141, 142, -292, -292, 143, 146, 144, 148, 151,
    -63, 149, -292, 153, -292, 444, 446, 445, 448, 449,
    450, 451, 152, -292, 155, 453, 161, 454, -292, 157,
    452, 164, -292, 168, -292, 457, 459, 461, 462, 463,
    465, 466, 165, -292, 166, 468, 171, 471, -292, -292,
    -292, 178, 181, -292, -292, 179, 440, 187, -292, 183,
    -292, 447, 473, 474, 172, -292, 188, 476, 191, 477,
    192, 480, -292, 194, 469, 483, -292, 196, -292, 485,
    197, 490, 201, -292, -292, 202, -292, 203, 492, 205,
    493, 206, 496, 209, 497, 211, 500, -292, 213, 214,
    215, 218, 478, 488, -292, 220, -292, 489, 217, 505,
    223, -292, -292, 226, 224, 225, 508, 227, 511, -292,
    -292, 232, -292, 230, 504, 514, -292, 236, -292, 517,
    238, 518, 234, -292, -292, 241, -292, 240, 520, 242,
    521, 244, 528, -292, -292, -292, 247, -292, 250, -292,
    251, -292, 252, -292, 248, 509, 530, -292, 257, -292,
    531, 533, 532, 535, 260, 246, -292, -292, 267, -292,
    254, 537, 262, 538, 263, 657, 265, 543, 45, 682,
    8, 666, 283, 616, -292, -292, 112, -292, 273, 602,
    703, -292, 321, -292, 676, 746, 36, 789, -292, -292,
    -292, 154, -292, 190, 743, 229, 748, 249, 795, 261,
    354, 266, 586, -292, -292, -292, -292, -292, 326, -292,
    -292, 331, 714, 730, -292, 41, -292, 612, 618, 534,
    65, 83, 670, -292, -10, -292, -292, 109, -292, 66,
    786, 100, 548, 135, 599, -292, 158, 162, 170, 173,
    650, 653, -292, 176, -292, 696, 712, 721, 222, -292,
    -292, 231, -292, 237, 756, 239, 770, 243, 778, 245,
    783, -292, 259, 253, 256, 264, 766, -292, -292, 269,
    -292, 358, 362, 561, 754, -292, -292, 752, 270, 798,
    271, 563, -292, 274, 601, 275, -292, 280, -292, 713,
    781, 288, 559, 277, -292, 284, 636, 287, 787, 291,
    547, -292, 322, 571, 324, -292, 323, -292, 329, 334,
    649, 671, 293, -292, -292, 301, -292, 732, 303, 738,
    307, 762, -292, -292, 343, 347, 346, 350, 285, 33,
    -292, -292, -292, -292, -292, -292, -292, 96, 97, -292,
    680, -5, -292, -292, -292, 102, 691, 684, -292, 105,
    -292, 704, 711, 107, 726, 49, -292, 50, 759, 59,
    773, -292, 118, 763, 750, -292, 119, -292, 540, 541,
    123, 545, 103, -292, 125, 583, 134, 587, -292, 137,
    588, 591, -292, 138, -292, 607, 609, 147, 614, 145,
    -292, 150, 620, 160, 630, -292, 169, 634, -292, -292,
    174, -292, 651, -292, 655, -292, 669, -292, 167, 180,
    182, 686, 185, 689, 186, 693, -292, -292, 189, 193,
    198, 195, 199, 200, 204, -292, 207, 208, 210, 728,
    -292, 212, 221, -292, -292, -292, -292, 233, -292, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, 272,
    -292, -292, -292, 268, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, 626, 681, 708, 709, -292, 276, 279,
    278, 281, 575, 292, 294, -292, -292, 286, -292, 296,
    297, -292, 282, 300, -292, -292, 302, -292, -292, -292,
    573, 299, 580, 304, 306, -292, -292, 656, 312, 699,
    313, 315, 316, 317, -292, -292, 318, 290, 289, -292,
    -292, 320, -292, -292, -292, -292, -292, 325, -292, -292,
    -292, 330, 621, -292, -292, 336, -292, -292, -292, 295,
    -292, 340, -292, -292, -292, -292, -292, 744, -292, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    51, 58, 64, 30, 576, 70, 604, 78, 610, 82,
    -292, -292, -292, -292, -292, 629, 792, 633, 93, 94,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, 706, 108, -292, -292, -292, -292, 719,
    723, -292, -292, 734, 735, -292, -292, 737, 115, 767,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    -292, 117, 126, -292, 796, -292, -292, -292, -292, -292,
    130, -292, 131, 564, 866, 569, 577, 133, 128, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, 156, -292, -292, -292, -292, 600, 159,
    627, -292, -292, 163, -292, -292, -292, -292, -292, -292,
    -292, -292, -292, -292, 527, 175, 658, 660, -292, -292,
    -292, 177, -292, 665, 674, 673, 678, -292, 184, -292,
    -292, -292, -292, -292, -292, -292, 698, -292, -292, -292,
    -292, -292, -292, -292, -292, -292, -292, -292, -292, -292,
    -292, -292, 216, 219, -292, -292, 228, -292, -292, -292,
    -292, -292, -292, -292, -292, 235, -292, -292, -292, -292,
    255, -292, -292, -292, -292, -292, 791, -292, -292, -292,
    -292, -292, -292, -292, 373, -292, -292
};

const short Table_LGCOutputResLexer::action_info [] = {
    6, 7, 1156, 953, 12, 1125, 17, 646, 16, 18,
    124, 124, 26, 937, 22, 124, 23, 25, 24, 29,
    124, 124, 930, 378, 107, 111, 30, 126, 127, 130,
    135, 124, 586, 124, 186, 49, 116, 389, 250, 1077,
    124, 1078, 124, 1079, 124, 1080, 124, 124, 49, 124,
    124, 1082, 1081, 1083, 124, 124, -11, 124, 124, 124,
    124, 122, 124, 376, 49, 843, 846, 917, 849, 110,
    112, 108, 113, 114, 119, 125, 120, 125, 121, 128,
    110, 131, 135, 138, 125, 141, 125, 125, 139, 125,
    916, 125, 125, 1139, 0, 170, 910, 909, 125, 125,
    125, 914, 125, 189, -432, 125, 125, 125, 125, 194,
    125, 209, 125, 1114, 0, 371, 1118, 125, 1120, 210,
    125, 125, 125, 991, 966, 833, 244, 831, 125, 250,
    209, 521, 1125, 125, 286, 125, 882, 125, 286, 372,
    332, 334, 336, 125, 1131, 125, 125, 125, 124, 996,
    124, 286, 1, 1060, 0, 125, 125, 964, 124, 962,
    960, 125, 125, 124, 125, 881, 618, 585, 244, 124,
    286, 124, 125, 124, 124, 125, 124, 124, 125, 125,
    124, 125, 124, 0, 0, 544, 286, 829, 125, 617,
    124, 616, 125, 615, 125, 110, 125, 125, 0, 125,
    845, 847, 844, 124, 124, 125, 124, 124, 125, 0,
    125, 244, 124, 125, 124, 125, 125, 125, 1049, 125,
    375, 0, 818, 816, 814, 250, 377, 124, 110, 0,
    390, 403, 407, 286, 124, 286, 124, 404, 0, 405,
    812, 124, 124, 956, 124, 286, 1053, 545, 546, 548,
    550, 250, 614, 250, 244, 124, 286, 124, 124, 1017,
    124, 552, 124, 250, 124, 124, 124, 124, 124, 0,
    124, 250, 124, 250, 124, 244, 124, 244, 0, 733,
    250, 124, 498, 124, 124, 1050, 0, 250, 286, 124,
    124, 0, 124, 244, 0, 250, 244, 250, 125, 948,
    125, 0, 125, 935, 0, 954, 955, 125, 961, 0,
    963, 965, 967, 125, 125, 125, 125, 393, 394, 993,
    250, 994, 995, 997, 1000, 1002, 1001, 672, 125, 125,
    376, 125, 250, 1119, 1036, 1038, 1041, 125, 1037, 0,
    1039, 1051, 1052, 681, 1059, 125, 125, 0, 0, 1067,
    1076, 1069, 1073, 125, 125, 0, 638, 164, 162, 164,
    162, 164, 162, 164, 162, 164, 162, 164, 162, 164,
    162, 164, 162, 124, 164, 162, 124, 907, 192, 125,
    374, 904, 906, 164, 162, 164, 162, 164, 162, 164,
    162, 164, 162, 900, 888, 164, 162, 164, 162, 0,
    373, 164, 162, 164, 162, 164, 162, 164, 162, 164,
    162, 164, 162, 125, 164, 162, 125, 125, 0, 125,
    164, 162, 536, 0, 181, 164, 162, 164, 162, 125,
    0, 837, 164, 162, 164, 162, 164, 162, 125, 0,
    602, 164, 162, 164, 162, 164, 162, 125, 125, 340,
    0, 340, 999, 125, 998, 662, 144, 1130, 125, 0,
    452, 1129, 125, 125, 486, 569, 125, 0, 514, 393,
    394, 153, 149, 152, 153, 149, 152, 153, 149, 152,
    153, 149, 152, 153, 149, 152, 153, 149, 152, 153,
    149, 152, 153, 149, 152, 153, 149, 152, 153, 149,
    152, 153, 149, 152, 153, 149, 152, 153, 149, 152,
    153, 149, 152, 153, 149, 152, 726, 153, 149, 152,
    153, 149, 152, 164, 162, 210, 374, 164, 162, 125,
    0, 891, 888, 348, 272, 1115, 1116, 1117, 273, 274,
    0, 0, 164, 162, 1021, 1020, 1113, 1112, 348, 272,
    0, 0, 0, 273, 274, 125, 0, 164, 162, 935,
    153, 149, 152, 348, 250, 153, 149, 152, 1054, 1055,
    1056, 1057, 125, 0, 164, 162, 250, 153, 149, 152,
    348, 224, 309, 153, 149, 152, 210, 224, 31, 0,
    0, 0, 0, 105, 31, 210, 153, 149, 152, 105,
    209, 0, 0, 32, 0, 1021, 1020, 158, 1098, 32,
    1089, 153, 149, 152, 907, 153, 149, 152, 158, 906,
    210, 159, 153, 149, 152, 209, 158, 124, 0, 159,
    153, 149, 152, 158, 0, 0, 159, 153, 149, 152,
    158, 125, 938, 159, 153, 149, 152, 158, 125, 0,
    159, 153, 149, 152, 0, 0, 0, 214, 215, 216,
    158, 124, 0, 159, 153, 149, 152, 0, 158, 0,
    0, 159, 153, 149, 152, 158, 125, 0, 159, 153,
    149, 152, 214, 215, 216, 158, 125, 0, 159, 153,
    149, 152, 158, 125, 0, 159, 153, 149, 152, 158,
    0, 0, 159, 153, 149, 152, 0, 912, 158, 125,
    0, 159, 153, 149, 152, 158, 0, 0, 159, 153,
    149, 152, 158, 919, 0, 159, 153, 149, 152, 0,
    990, 158, 125, 0, 159, 153, 149, 152, 0, 0,
    0, 0, 0, 0, 158, 124, 0, 159, 153, 149,
    152, 158, 125, 0, 159, 153, 149, 152, 158, 124,
    0, 159, 153, 149, 152, 158, 125, 0, 159, 153,
    149, 152, 158, 125, 0, 159, 153, 149, 152, 158,
    125, 0, 159, 153, 149, 152, 158, 0, 751, 159,
    153, 149, 152, 1134, 158, 124, 0, 159, 153, 149,
    152, 0, 0, 0, 0, 272, 753, 754, 752, 273,
    274, 0, 158, 945, 0, 159, 153, 149, 152, 0,
    158, 943, 0, 159, 153, 149, 152, 751, 1016, 158,
    949, 0, 159, 153, 149, 152, 158, 1138, 938, 159,
    153, 149, 152, 1137, 272, 753, 754, 752, 273, 274,
    158, 124, 0, 159, 153, 149, 152, 1007, 158, 1005,
    0, 159, 153, 149, 152, 1104, 1105, 1102, 158, 124,
    0, 159, 153, 149, 152, 1007, 158, 1005, 0, 159,
    153, 149, 152, 983, 0, 981, 0, 0, 0, 0,
    984, 0, 0, 0, 0, 0, 158, 124, 0, 159,
    153, 149, 152, 365, 158, 0, 0, 159, 153, 149,
    152, 173, 174, 158, 175, 176, 159, 153, 149, 152,
    173, 174, 158, 175, 176, 159, 153, 149, 152, 148,
    150, 158, 156, 157, 159, 153, 149, 152, 148, 150,
    0, 156, 157, 158, 124, 0, 159, 153, 149, 152,
    1109, 1111, 1107, 158, 0, 0, 159, 153, 149, 152,
    148, 150, 0, 156, 157, 0, 0, 0, 0, 0,
    0, 0, 158, 0, 0, 159, 153, 149, 152, 983,
    0, 981, 0, 0, 158, 0, 984, 159, 153, 149,
    152, 173, 174, 0, 175, 176, 158, 124, 0, 159,
    153, 149, 152, 1151, 1153, 1149, 158, 124, 0, 159,
    153, 149, 152, 1151, 1153, 1149, 158, 0, 0, 159,
    153, 149, 152, 173, 174, 158, 175, 176, 159, 153,
    149, 152, 173, 174, 158, 175, 176, 159, 153, 149,
    152, 173, 174, 0, 175, 176, 0, 0, 158, 0,
    0, 159, 153, 149, 152, 148, 150, 0, 156, 157,
    158, 125, 0, 159, 153, 149, 152, 148, 150, 0,
    156, 157, 158, 124, 0, 159, 153, 149, 152, 173,
    174, 0, 175, 176, 158, 124, 0, 159, 153, 149,
    152, 173, 174, 0, 175, 176, 158, 125, 0, 159,
    153, 149, 152, 148, 150, 0, 156, 157, 158, 124,
    0, 159, 153, 149, 152, 173, 174, 0, 175, 176,
    0, 0, 0, 0, 158, 0, 0, 159, 153, 149,
    152, 173, 174, 0, 175, 176, 158, 125, 0, 159,
    153, 149, 152, 148, 150, 0, 156, 157, 158, 125,
    0, 159, 153, 149, 152, 148, 150, 0, 156, 157,
    158, 125, 0, 159, 153, 149, 152, 148, 150, 158,
    156, 157, 159, 153, 149, 152, 1144, 1145, 1142, 1147,
    1148, 158, 0, 0, 159, 153, 149, 152, 1144, 1145,
    1142, 1147, 1148, 0, 0, 0, 0, 0, 0, 0,
    158, 124, 0, 159, 153, 149, 152, 173, 174, 42,
    175, 176, 36, 0, 40, 39, 35, 0, 0, 0,
    31, 0, 0, 41, 55, 105, 0, 0, 0, 0,
    0, 0, 104, 37, 38, 32, 106, 0, 36, 0,
    40, 39, 35, 0, 0, 0, 31, 0, 0, 41,
    55, 105, 0, 0, 0, 0, 0, 0, 104, 37,
    38, 32, 106, 49, 42, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 158, 125, 0, 159,
    153, 149, 152, 148, 150, 0, 156, 157, 0, 0,
    0, 0, 0, 36, 0, 40, 39, 35, 0, 0,
    0, 31, 0, 0, 41, 55, 105, 0, 0, 0,
    0, 0, 0, 104, 37, 38, 32, 106, 49, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 879, 878, 855, 854, 851, 857, 860, 852,
    853, 876, 880, 875, 858, 864, 863, 862, 856, 874,
    877, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 859, 861, 0, 0, 0,
    0, 0, 0, 0, 879, 878, 855, 854, 851, 857,
    860, 852, 853, 876, 880, 875, 858, 864, 863, 862,
    856, 874, 877, 930, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 859, 861, 0,
    0, 0, 0, 0, 0, 0,

    1143, 1133, 342, 968, 850, 115, 143, 180, 388, 392,
    450, 457, 466, 484, 475, 512, 687, 503, 534, 525,
    556, 567, 590, 600, 636, 623, 660, 129, 651, 705,
    677, 695, 724, 714, 801, 835, 123, 136, 137, 142,
    140, 146, 626, 163, 165, 597, 168, 167, 171, 169,
    172, 178, 974, 183, 187, 190, 193, 217, 361, 195,
    197, 982, 338, 339, 235, 255, 362, 344, 254, 236,
    1019, 976, 257, 240, 238, 631, 242, 251, 247, 978,
    259, 252, 253, 980, 275, 633, 289, 285, 278, 310,
    296, 317, 327, 279, 1013, 828, 281, 344, 820, 288,
    808, 290, 635, 758, 292, 297, 760, 299, 581, 1009,
    639, 305, 304, 308, 318, 320, 587, 764, 344, 775,
    777, 1084, 370, 172, 172, 172, 324, 1093, 352, 353,
    358, 1042, 781, 360, 413, 359, 0, 311, 792, 794,
    0, 424, 444, 0, 307, 579, 431, 391, 313, 172,
    768, 172, 412, 415, 414, 603, 798, 1075, 432, 770,
    0, 766, 647, 1072, 0, 0, 640, 1074, 435, 434,
    809, 0, 328, 172, 652, 811, 1090, 654, 1092, 453,
    458, 326, 359, 172, 460, 454, 1048, 1103, 0, 330,
    333, 461, 172, 1043, 0, 476, 0, 478, 335, 337,
    642, 172, 172, 487, 0, 0, 481, 172, 838, 0,
    0, 0, 841, 0, 0, 783, 0, 499, 172, 504,
    1128, 506, 0, 0, 172, 785, 509, 515, 520, 1127,
    0, 526, 663, 0, 787, 644, 522, 528, 1136, 0,
    0, 848, 537, 406, 408, 0, 0, 531, 1126, 557,
    802, 547, 549, 551, 553, 425, 1141, 800, 559, 172,
    804, 427, 648, 673, 423, 678, 445, 819, 570, 565,
    680, 447, 449, 883, 591, 696, 0, 443, 892, 699,
    896, 698, 821, 921, 465, 823, 825, 901, 467, 791,
    604, 469, 471, 830, 894, 832, 895, 902, 702, 921,
    834, 905, 344, 488, 908, 490, 492, 344, 915, 494,
    839, 496, 842, 483, 500, 344, 344, 922, 923, 924,
    934, 936, 593, 715, 717, 516, 718, 518, 939, 606,
    619, 719, 624, 944, 659, 511, 720, 664, 947, 666,
    538, 952, 540, 668, 542, 670, 533, 757, 767, 608,
    774, 784, 929, 674, 571, 611, 1143, 172, 566, 163,
    247, 610, 573, 575, 247, 577, 612, 177, 235, 172,
    689, 691, 897, 179, 1155, 172, 1150, 903, 1154, 247,
    256, 195, 172, 583, 706, 959, 258, 708, 172, 704,
    957, 710, 260, 278, 172, 240, 247, 242, 951, 240,
    247, 727, 291, 729, 172, 723, 293, 731, 172, 247,
    296, 242, 247, 312, 314, 172, 172, 240, 317, 247,
    242, 247, 329, 331, 172, 172, 342, 345, 342, 344,
    347, 195, 344, 353, 353, 353, 366, 195, 364, 385,
    384, 197, 197, 387, 457, 197, 247, 247, 242, 240,
    247, 247, 242, 247, 426, 428, 172, 172, 343, 247,
    346, 242, 431, 247, 247, 247, 682, 242, 247, 446,
    683, 172, 448, 475, 172, 242, 247, 468, 470, 172,
    172, 472, 503, 172, 248, 240, 355, 242, 356, 356,
    240, 242, 247, 489, 491, 172, 172, 493, 495, 172,
    172, 497, 283, 172, 284, 287, 282, 247, 525, 517,
    300, 172, 519, 556, 172, 301, 240, 306, 302, 242,
    247, 539, 541, 172, 172, 322, 325, 323, 321, 543,
    342, 172, 240, 242, 242, 240, 304, 247, 572, 574,
    172, 172, 242, 247, 578, 0, 172, 247, 711, 643,
    172, 172, 416, 418, 280, 417, 419, 420, 422, 421,
    462, 247, 1087, 242, 692, 436, 172, 342, 437, 438,
    439, 440, 342, 442, 441, 714, 342, 893, 1047, 342,
    344, 464, 463, 342, 786, 237, 172, 613, 788, 172,
    172, 298, 791, 240, 480, 319, 479, 482, 508, 1044,
    645, 507, 172, 342, 1046, 695, 590, 342, 911, 242,
    166, 247, 510, 342, 247, 913, 247, 584, 0, 172,
    242, 803, 975, 172, 939, 532, 530, 529, 1071, 342,
    344, 805, 342, 172, 1012, 1070, 1006, 707, 808, 172,
    561, 563, 564, 560, 630, 433, 562, 382, 780, 779,
    977, 242, 782, 240, 651, 240, 979, 240, 576, 342,
    172, 884, 1084, 344, 989, 1088, 703, 582, 342, 172,
    684, 240, 247, 247, 477, 1095, 342, 344, 242, 1097,
    459, 344, 885, 580, 344, 172, 240, 822, 505, 172,
    824, 918, 172, 0, 826, 757, 172, 386, 242, 1110,
    1094, 1108, 342, 383, 795, 240, 242, 1008, 1096, 1006,
    887, 342, 344, 304, 304, 240, 796, 797, 623, 527,
    628, 799, 342, 247, 1011, 950, 344, 629, 247, 840,
    1091, 172, 240, 728, 920, 172, 1015, 342, 344, 730,
    342, 172, 558, 886, 605, 958, 172, 172, 247, 607,
    697, 172, 240, 688, 1010, 172, 247, 665, 721, 172,
    769, 793, 172, 732, 813, 172, 655, 774, 815, 1014,
    677, 667, 1018, 172, 771, 0, 172, 634, 722, 669,
    0, 172, 817, 242, 671, 595, 172, 641, 709, 172,
    172, 247, 1152, 653, 1150, 982, 609, 761, 172, 690,
    0, 172, 741, 0, 225, 656, 743, 749, 0, 225,
    0, 0, 0, 762, 0, 0, 594, 1035, 0, 0,
    716, 763, 657, 810, 0, 369, 700, 367, 658, 592,
    1023, 1025, 0, 765, 827, 741, 1004, 231, 368, 743,
    749, 1003, 231, 627, 0, 0, 1035, 0, 0, 0,
    0, 625, 0, 596, 0, 1101, 1100, 0, 0, 1023,
    1025, 0, 686, 778, 0, 0, 685, 1045, 759, 344,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    701, 0, 0, 0, 0, 0, 0, 599, 0, 0,
    0, 598, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 230, 0, 0, 0, 0, 230, 0, 0,
    0, 0, 776, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 232, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    679, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0
};

const short Table_LGCOutputResLexer::action_check [] = {
    2, 13, 0, 4, 14, 4, 10, 4, 4, 16,
    2, 2, 17, 2, 4, 2, 4, 10, 4, 4,
    2, 2, 54, 73, 4, 4, 10, 4, 4, 4,
    4, 2, 4, 2, 4, 72, 19, 4, 4, 4,
    2, 4, 2, 4, 2, 4, 2, 2, 72, 2,
    2, 5, 9, 4, 2, 2, 2, 2, 2, 2,
    2, 10, 2, 27, 72, 4, 4, 8, 4, 4,
    4, 8, 4, 4, 4, 2, 4, 2, 4, 8,
    4, 4, 4, 4, 2, 4, 2, 2, 8, 2,
    4, 2, 2, 10, -1, 4, 8, 4, 2, 2,
    2, 9, 2, 4, 2, 2, 2, 2, 2, 8,
    2, 17, 2, 4, -1, 4, 4, 2, 4, 12,
    2, 2, 2, 6, 8, 4, 4, 4, 2, 4,
    17, 4, 4, 2, 4, 2, 4, 2, 4, 10,
    4, 4, 4, 2, 5, 2, 2, 2, 2, 9,
    2, 4, 2, 11, -1, 2, 2, 8, 2, 8,
    8, 2, 2, 2, 2, 8, 8, 4, 4, 2,
    4, 2, 2, 2, 2, 2, 2, 2, 2, 2,
    2, 2, 2, -1, -1, 4, 4, 4, 2, 4,
    2, 4, 2, 4, 2, 4, 2, 2, -1, 2,
    4, 8, 4, 2, 2, 2, 2, 2, 2, -1,
    2, 4, 2, 2, 2, 2, 2, 2, 9, 2,
    4, -1, 4, 4, 4, 4, 26, 2, 4, -1,
    8, 4, 4, 4, 2, 4, 2, 4, -1, 4,
    4, 2, 2, 5, 2, 4, 9, 4, 4, 4,
    4, 4, 4, 4, 4, 2, 4, 2, 2, 5,
    2, 4, 2, 4, 2, 2, 2, 2, 2, -1,
    2, 4, 2, 4, 2, 4, 2, 4, -1, 4,
    4, 2, 4, 2, 2, 5, -1, 4, 4, 2,
    2, -1, 2, 4, -1, 4, 4, 4, 2, 2,
    2, -1, 2, 4, -1, 4, 4, 2, 4, -1,
    4, 4, 4, 2, 2, 2, 2, 56, 57, 4,
    4, 4, 4, 4, 4, 4, 4, 4, 2, 2,
    27, 2, 4, 30, 4, 4, 4, 2, 4, -1,
    4, 4, 4, 4, 4, 2, 2, -1, -1, 4,
    4, 4, 4, 2, 2, -1, 4, 4, 5, 4,
    5, 4, 5, 4, 5, 4, 5, 4, 5, 4,
    5, 4, 5, 2, 4, 5, 2, 4, 4, 2,
    4, 4, 9, 4, 5, 4, 5, 4, 5, 4,
    5, 4, 5, 4, 5, 4, 5, 4, 5, -1,
    24, 4, 5, 4, 5, 4, 5, 4, 5, 4,
    5, 4, 5, 2, 4, 5, 2, 2, -1, 2,
    4, 5, 11, -1, 10, 4, 5, 4, 5, 2,
    -1, 4, 4, 5, 4, 5, 4, 5, 2, -1,
    4, 4, 5, 4, 5, 4, 5, 2, 2, 34,
    -1, 34, 4, 2, 6, 4, 10, 4, 2, -1,
    4, 8, 2, 2, 4, 4, 2, -1, 4, 56,
    57, 5, 6, 7, 5, 6, 7, 5, 6, 7,
    5, 6, 7, 5, 6, 7, 5, 6, 7, 5,
    6, 7, 5, 6, 7, 5, 6, 7, 5, 6,
    7, 5, 6, 7, 5, 6, 7, 5, 6, 7,
    5, 6, 7, 5, 6, 7, 71, 5, 6, 7,
    5, 6, 7, 4, 5, 12, 4, 4, 5, 2,
    -1, 4, 5, 10, 61, 28, 29, 30, 65, 66,
    -1, -1, 4, 5, 31, 32, 24, 25, 10, 61,
    -1, -1, -1, 65, 66, 2, -1, 4, 5, 4,
    5, 6, 7, 10, 4, 5, 6, 7, 20, 21,
    22, 23, 2, -1, 4, 5, 4, 5, 6, 7,
    10, 48, 4, 5, 6, 7, 12, 48, 55, -1,
    -1, -1, -1, 60, 55, 12, 5, 6, 7, 60,
    17, -1, -1, 70, -1, 31, 32, 1, 34, 70,
    4, 5, 6, 7, 4, 5, 6, 7, 1, 9,
    12, 4, 5, 6, 7, 17, 1, 2, -1, 4,
    5, 6, 7, 1, -1, -1, 4, 5, 6, 7,
    1, 2, 10, 4, 5, 6, 7, 1, 2, -1,
    4, 5, 6, 7, -1, -1, -1, 74, 75, 76,
    1, 2, -1, 4, 5, 6, 7, -1, 1, -1,
    -1, 4, 5, 6, 7, 1, 2, -1, 4, 5,
    6, 7, 74, 75, 76, 1, 2, -1, 4, 5,
    6, 7, 1, 2, -1, 4, 5, 6, 7, 1,
    -1, -1, 4, 5, 6, 7, -1, 9, 1, 2,
    -1, 4, 5, 6, 7, 1, -1, -1, 4, 5,
    6, 7, 1, 9, -1, 4, 5, 6, 7, -1,
    9, 1, 2, -1, 4, 5, 6, 7, -1, -1,
    -1, -1, -1, -1, 1, 2, -1, 4, 5, 6,
    7, 1, 2, -1, 4, 5, 6, 7, 1, 2,
    -1, 4, 5, 6, 7, 1, 2, -1, 4, 5,
    6, 7, 1, 2, -1, 4, 5, 6, 7, 1,
    2, -1, 4, 5, 6, 7, 1, -1, 44, 4,
    5, 6, 7, 8, 1, 2, -1, 4, 5, 6,
    7, -1, -1, -1, -1, 61, 62, 63, 64, 65,
    66, -1, 1, 2, -1, 4, 5, 6, 7, -1,
    1, 10, -1, 4, 5, 6, 7, 44, 9, 1,
    2, -1, 4, 5, 6, 7, 1, 2, 10, 4,
    5, 6, 7, 8, 61, 62, 63, 64, 65, 66,
    1, 2, -1, 4, 5, 6, 7, 8, 1, 10,
    -1, 4, 5, 6, 7, 8, 9, 10, 1, 2,
    -1, 4, 5, 6, 7, 8, 1, 10, -1, 4,
    5, 6, 7, 8, -1, 10, -1, -1, -1, -1,
    15, -1, -1, -1, -1, -1, 1, 2, -1, 4,
    5, 6, 7, 8, 1, -1, -1, 4, 5, 6,
    7, 8, 9, 1, 11, 12, 4, 5, 6, 7,
    8, 9, 1, 11, 12, 4, 5, 6, 7, 8,
    9, 1, 11, 12, 4, 5, 6, 7, 8, 9,
    -1, 11, 12, 1, 2, -1, 4, 5, 6, 7,
    8, 9, 10, 1, -1, -1, 4, 5, 6, 7,
    8, 9, -1, 11, 12, -1, -1, -1, -1, -1,
    -1, -1, 1, -1, -1, 4, 5, 6, 7, 8,
    -1, 10, -1, -1, 1, -1, 15, 4, 5, 6,
    7, 8, 9, -1, 11, 12, 1, 2, -1, 4,
    5, 6, 7, 8, 9, 10, 1, 2, -1, 4,
    5, 6, 7, 8, 9, 10, 1, -1, -1, 4,
    5, 6, 7, 8, 9, 1, 11, 12, 4, 5,
    6, 7, 8, 9, 1, 11, 12, 4, 5, 6,
    7, 8, 9, -1, 11, 12, -1, -1, 1, -1,
    -1, 4, 5, 6, 7, 8, 9, -1, 11, 12,
    1, 2, -1, 4, 5, 6, 7, 8, 9, -1,
    11, 12, 1, 2, -1, 4, 5, 6, 7, 8,
    9, -1, 11, 12, 1, 2, -1, 4, 5, 6,
    7, 8, 9, -1, 11, 12, 1, 2, -1, 4,
    5, 6, 7, 8, 9, -1, 11, 12, 1, 2,
    -1, 4, 5, 6, 7, 8, 9, -1, 11, 12,
    -1, -1, -1, -1, 1, -1, -1, 4, 5, 6,
    7, 8, 9, -1, 11, 12, 1, 2, -1, 4,
    5, 6, 7, 8, 9, -1, 11, 12, 1, 2,
    -1, 4, 5, 6, 7, 8, 9, -1, 11, 12,
    1, 2, -1, 4, 5, 6, 7, 8, 9, 1,
    11, 12, 4, 5, 6, 7, 8, 9, 10, 11,
    12, 1, -1, -1, 4, 5, 6, 7, 8, 9,
    10, 11, 12, -1, -1, -1, -1, -1, -1, -1,
    1, 2, -1, 4, 5, 6, 7, 8, 9, 18,
    11, 12, 47, -1, 49, 50, 51, -1, -1, -1,
    55, -1, -1, 58, 59, 60, -1, -1, -1, -1,
    -1, -1, 67, 68, 69, 70, 71, -1, 47, -1,
    49, 50, 51, -1, -1, -1, 55, -1, -1, 58,
    59, 60, -1, -1, -1, -1, -1, -1, 67, 68,
    69, 70, 71, 72, 18, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, 1, 2, -1, 4,
    5, 6, 7, 8, 9, -1, 11, 12, -1, -1,
    -1, -1, -1, 47, -1, 49, 50, 51, -1, -1,
    -1, 55, -1, -1, 58, 59, 60, -1, -1, -1,
    -1, -1, -1, 67, 68, 69, 70, 71, 72, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, 35, 36, 37, 38, 39, 40, 41, 42,
    43, 44, 45, 46, 47, 48, 49, 50, 51, 52,
    53, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, 68, 69, -1, -1, -1,
    -1, -1, -1, -1, 35, 36, 37, 38, 39, 40,
    41, 42, 43, 44, 45, 46, 47, 48, 49, 50,
    51, 52, 53, 54, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, 68, 69, -1,
    -1, -1, -1, -1, -1, -1,

    3, 3, 3, 1, 1, 16, 1, 1, 262, 116,
    1, 4, 1, 1, 4, 1, 100, 4, 1, 4,
    4, 1, 4, 1, 1, 4, 1, 8, 4, 1,
    4, 4, 1, 4, 1, 1, 1, 257, 262, 1,
    263, 1, 1, 4, 1, 9, 4, 1, 100, 5,
    3, 100, 1, 1, 1, 1, 1, 287, 274, 3,
    3, 3, 1, 1, 4, 100, 3, 3, 1, 1,
    40, 1, 100, 2, 1, 10, 2, 2, 2, 1,
    100, 2, 2, 1, 280, 2, 1, 10, 4, 1,
    4, 4, 1, 1, 1, 100, 1, 3, 1, 112,
    4, 100, 112, 1, 100, 1, 1, 1, 100, 1,
    1, 10, 2, 2, 1, 1, 4, 10, 3, 1,
    1, 4, 274, 3, 3, 3, 10, 1, 4, 2,
    1, 1, 9, 1, 197, 54, -1, 100, 1, 1,
    -1, 1, 1, -1, 112, 100, 10, 8, 100, 3,
    100, 3, 1, 4, 1, 1, 9, 1, 1, 100,
    -1, 112, 4, 4, -1, -1, 100, 4, 4, 1,
    1, -1, 100, 3, 1, 1, 1, 1, 1, 1,
    1, 112, 54, 3, 1, 4, 53, 3, -1, 100,
    100, 4, 3, 62, -1, 1, -1, 1, 100, 100,
    100, 3, 3, 1, -1, -1, 9, 3, 1, -1,
    -1, -1, 4, -1, -1, 112, -1, 4, 3, 1,
    1, 1, -1, -1, 3, 100, 9, 1, 4, 1,
    -1, 1, 1, -1, 100, 100, 4, 1, 3, -1,
    -1, 8, 1, 100, 100, -1, -1, 9, 32, 1,
    100, 4, 2, 2, 2, 100, 1, 112, 1, 3,
    100, 100, 100, 4, 112, 1, 100, 100, 1, 9,
    1, 100, 130, 1, 1, 1, -1, 112, 2, 4,
    1, 1, 100, 2, 112, 100, 100, 1, 100, 4,
    100, 100, 100, 100, 2, 100, 2, 1, 10, 2,
    100, 1, 3, 100, 2, 100, 100, 3, 2, 100,
    100, 100, 100, 112, 100, 3, 3, 2, 2, 2,
    2, 1, 1, 1, 1, 100, 2, 100, 3, 100,
    4, 2, 1, 3, 112, 112, 2, 100, 2, 100,
    100, 1, 100, 100, 100, 100, 112, 4, 1, 100,
    4, 1, 84, 100, 100, 1, 3, 3, 112, 4,
    2, 100, 100, 100, 2, 100, 100, 1, 4, 3,
    100, 100, 94, 1, 1, 3, 3, 95, 25, 2,
    1, 3, 3, 100, 100, 96, 1, 100, 3, 112,
    100, 100, 1, 4, 3, 2, 2, 2, 103, 2,
    2, 100, 1, 100, 3, 112, 1, 100, 3, 2,
    4, 2, 2, 1, 1, 3, 3, 2, 4, 2,
    2, 2, 1, 1, 3, 3, 3, 1, 3, 3,
    1, 3, 3, 2, 2, 2, 1, 3, 3, 1,
    1, 3, 3, 1, 4, 3, 2, 2, 2, 2,
    2, 2, 2, 2, 1, 1, 3, 3, 35, 2,
    35, 2, 10, 2, 2, 2, 108, 2, 2, 1,
    108, 3, 1, 4, 3, 2, 2, 1, 1, 3,
    3, 1, 4, 3, 107, 2, 55, 2, 56, 56,
    2, 2, 2, 1, 1, 3, 3, 1, 1, 3,
    3, 1, 108, 3, 109, 107, 113, 2, 4, 1,
    113, 3, 1, 4, 3, 108, 2, 107, 109, 2,
    2, 1, 1, 3, 3, 108, 107, 109, 113, 1,
    3, 3, 2, 2, 2, 2, 2, 2, 1, 1,
    3, 3, 2, 2, 1, -1, 3, 2, 1, 1,
    3, 3, 108, 108, 165, 109, 108, 108, 107, 109,
    113, 2, 35, 2, 1, 108, 3, 3, 109, 108,
    108, 108, 3, 107, 109, 4, 3, 2, 1, 3,
    3, 107, 109, 3, 1, 221, 3, 1, 1, 3,
    3, 185, 4, 2, 109, 181, 113, 107, 109, 35,
    1, 113, 3, 3, 35, 4, 4, 3, 35, 2,
    255, 2, 107, 3, 2, 35, 2, 1, -1, 3,
    2, 1, 46, 3, 3, 107, 109, 113, 1, 3,
    3, 1, 3, 3, 1, 35, 3, 1, 4, 3,
    109, 109, 107, 113, 110, 193, 113, 269, 107, 109,
    46, 2, 107, 2, 4, 2, 46, 2, 1, 3,
    3, 35, 4, 3, 35, 5, 107, 1, 3, 3,
    109, 2, 2, 2, 205, 1, 3, 3, 2, 1,
    240, 3, 1, 1, 3, 3, 2, 1, 210, 3,
    1, 35, 3, -1, 1, 4, 3, 269, 2, 1,
    35, 3, 3, 269, 113, 2, 2, 1, 35, 3,
    1, 3, 3, 2, 2, 2, 109, 108, 4, 215,
    108, 107, 3, 2, 1, 104, 3, 109, 2, 1,
    72, 3, 2, 1, 35, 3, 1, 3, 3, 1,
    3, 3, 233, 35, 1, 1, 3, 3, 2, 1,
    149, 3, 2, 1, 35, 3, 2, 1, 109, 3,
    1, 173, 3, 1, 113, 3, 113, 4, 113, 35,
    4, 1, 35, 3, 1, -1, 3, 107, 107, 1,
    -1, 3, 113, 2, 1, 109, 3, 1, 1, 3,
    3, 2, 1, 143, 3, 3, 1, 113, 3, 1,
    -1, 3, 155, -1, 117, 109, 159, 160, -1, 117,
    -1, -1, -1, 109, -1, -1, 113, 50, -1, -1,
    249, 110, 110, 189, -1, 272, 113, 274, 107, 227,
    63, 64, -1, 107, 154, 155, 44, 150, 285, 159,
    160, 49, 150, 113, -1, -1, 50, -1, -1, -1,
    -1, 137, -1, 107, -1, 59, 60, -1, -1, 63,
    64, -1, 108, 113, -1, -1, 112, 1, 177, 3,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    109, -1, -1, -1, -1, -1, -1, 108, -1, -1,
    -1, 112, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, 235, -1, -1, -1, -1, 235, -1, -1,
    -1, -1, 169, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, 276, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    244, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1
};

